#include <stdio.h>

#include "virtual.h"
#include "corporated.h"
#include "detail.h"

int act_decide()
{
	int read_err=0,area_err=0;
	int i;
	int possible_num;
	
	FILE *dw;
	
	if((dw=fopen("sorted.txt","w"))==NULL){
		printf("file cannot open\n");
		exit(1);
	}
	
	for(i=0;i<AREA_CNT;i++){
		a_cnt[i]=0;
	}
	
	read_err=data_get();
	
	virtual_map();
	possible_num=virtual_select();
	printf("possible post count : %d\n",possible_num);
	
	// check map area
	
	for(i=0;i<10;i++){
		area_x[i]=9999;
		area_y[i]=9999;
	}
	
	for(i=0;i<data_count;i++){
		area_x[num[i]]=x[i];
		area_y[num[i]]=y[i];
	}
	
	// end
	
	printf("data get finish\n");
	
	area_err=analyzer();
	
	printf("\n");
	for(i=0;i<POST_CNT;i++){
		pdata.dzone[i]=analyzer_v(i,0);
	}
	
	printf("\n");
	for(i=0;i<POST_CNT;i++){
		printf("post-%d detail zone : %d\n",pdata.num[i],pdata.dzone[i]);
	}
	
	err_safe2(read_err,possible_num);
	/*
	for(i=0;i<POST_CNT;i++){
		route.dis[i]=route_dsgn(i);
	}*/
	
	for(i=0;i<POST_CNT;i++){
		route_dsgn3(i);
	}
	
	for(i=0;i<POST_CNT;i++){
		route_dsgn2(i);
	}
	
	printf("sorted post data\n");
	printf("num	x	y	dir	zo	dzo	err	tur	dis\n");
	for(i=0;i<POST_CNT;i++){
		printf("%d	%d	%d	%d	%c	%d	%d	%c	%d\n",pdata.num[i],pdata.x[i],pdata.y[i],pdata.direct[i],pdata.zone[i],pdata.dzone[i],d_err[i],route.turn[i],route.dis[i]);
		fprintf(dw,"%d	%d	%d	%d	%c	%d	%d	%c	%d\n",pdata.num[i],pdata.x[i],pdata.y[i],pdata.direct[i],pdata.zone[i],pdata.dzone[i],d_err[i],route.turn[i],route.dis[i]);
	}
	
	printf("\n\nread_err count : %d\n",read_err);
	printf("area_err count : %d\n\n",area_err);
	
	fclose(dw);
	return 0;
}
