/*****************************************************/
/*      New Functions for Action Select Mode         */
/*                                                   */
/*                         develop by Atsushi Ito    */
/*                       ver 1.0.0   Jan. 30 2009    */
/*****************************************************/

#include <stdio.h>
#include <stdlib.h>

#include "virtual.h"
#include "detail.h"
#include "corporated.h"

#define ERR1 9001 // dir ERR1
#define ERR2 9002 // area ERR1

int dummy_area;

extern int detail_area();


int route_dsgn2(int i){
	if(i==0){
		
	}else{
		if(route.turn[i]=='x'){
			route.turn[i]=route.turn[i-1];
		}
	}
	printf("act-%d : %c turn\n",i,route.turn[i]);
	return 0;
}

int same_route(){
	return 0;
}

int route_dsgn3(int num){
	int distance;
	
	printf("check number %d\n",num+1);
	
	if(num==0){
		printf("pdata.dzone[%d]=%d\n",num,pdata.dzone[num]);
		if(pdata.dzone[num]<=4){ // mode 1-1
			route.dis[num]=pdata.dzone[num]+1;
			route.turn[num]='l';
			printf("mode 1-1\n");
		}else{ // mode 1-2
			route.dis[num]=abs(pdata.dzone[num]-8);
			route.turn[num]='r';
			printf("mode 1-2\n");
		}
	}else{
		distance=pdata.dzone[num]-pdata.dzone[num-1];
		printf("pdata.dzone[%d]=%d, pdata.dzone[%d]=%d\n",num,pdata.dzone[num],num-1,pdata.dzone[num-1]);
		printf("distance = %d\n",distance);
		if(distance<=-5){ // mode 2-1
			route.dis[num]=abs(distance+8);
			route.turn[num]='l';
			printf("mode 2-1\n");
		}else if(distance>=5){ // mode 2-2
			route.dis[num]=abs(distance-8);
			route.turn[num]='r';
			printf("mode 2-2\n");
		}else if(abs(distance)==4){ // mode 2-3
			route.dis[num]=abs(distance);
			route.turn[num]='x';
			printf("mode 2-3\n");
		}else{
			if(distance>0){ // mode 2-4
				route.dis[num]=distance;
				route.turn[num]='l';
				printf("mode 2-4\n");
			}else{ // mode 2-5
				route.dis[num]=abs(distance);
				route.turn[num]='r';
				printf("mode 2-5\n");
			}
		}
	}
	
	printf("\n");
	return 0;
}

int analyzer_v(int i,int act)
{
	int scan1,scan2;
	int d_area;
	int check_num;
	char area_mode1=0,area_mode2=0;
	int flag;
	
	printf("post-%d area : %c\n",pdata.num[i],pdata.zone[i]);
	
	if(pdata.num[i]>100){
		printf("post number error\n\n");
		return 999;
	}
	
	if(act==1){
		check_num=UNKNOWN;
	}else{
		check_num=pdata.num[i]+ASCN;
	}
	
	switch(pdata.zone[i]){
		case 'A':
			area_mode1='b';
			area_mode2='d';
			break;
		
		case 'B':
			area_mode1='f';
			area_mode2='h';
			break;
		
		case 'C':
			area_mode1='e';
			area_mode2='g';
			break;
		
		case 'D':
			area_mode1='a';
			area_mode2='c';
			break;
		
		default:
			printf("zone error !\n");
			flag=904;
			break;
	}
	/*
	if(flag==904){
		return 904;
	}*/
	
	scan1=detail_area(check_num,area_mode1);
	scan2=detail_area(check_num,area_mode2);
	if(scan1<SCAN_ERR && scan2>SCAN_ERR){
		d_area=scan1;
	}else if(scan1>SCAN_ERR && scan2<SCAN_ERR){
		d_area=scan2;
	}else{
		printf("area error !\n");
		d_area=SCAN_ERR;
	}
	
	//detail_area(50,'a');
	//detail_area(ASCN+pdata.num[i],'a');
	
	printf("\n");
	return d_area;
}
